Package groovy.lang

# Interface ClosureInvokingMethod

All Known Implementing Classes:
  `ClosureMetaMethod`, `ClosureStaticMetaMethod`

public interface ClosureInvokingMethod
An interface for MetaMethods that invoke closures to implements. Used by ExpandoMetaClass

Since:
  1.5
See Also:
  - `ExpandoMetaClass`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Closure`
  `getClosure()`
  Returns the original closure that this method invokes
  `String`
  `getName()`
  The method name
  `boolean`
  `isStatic()`
  Is it a static method?

- ## Method Details

  - ### getClosure

    Closure getClosure()
    Returns the original closure that this method invokes
    Returns:
      The closure

  - ### isStatic

    boolean isStatic()
    Is it a static method?
    Returns:
      True if it is

  - ### getName

    String getName()
    The method name
    Returns:
      The method name